symfony2.0 to 2.1

在windows 下安装symfony标准版本的lib有问题,原因是composer装不上,有人提供了一个方法,摘自google group:

a)
  1. Change into a directory in your path like cd /usr/local/bin
  2. Get Composer curl -s http://getcomposer.org/installer | php
  3. Make the phar executable chmod a+x composer.phar
b) 

$ curl -s https://getcomposer.org/installer | php
$ sudo mv composer.phar /usr/local/bin/composer

c)
  1. Run git clone https://github.com/composer/composer.git
  2. Download the composer.phar executable
  3. Run Composer to get the dependencies: cd composer && php ../composer.phar install
You can now run Composer by executing the bin/composer script: php /path/to/composer/bin/composer
我在windows7下成功的用第三个方法安装了composer,然后安装symfony lib:
D:\workspace\symfony_prospection>php composer.phar install
前提是这个composer.phar 是保存在symfony_prosepection里面的。

评论

热门帖子